# BSplCLib_MultDistribution.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | BSplCLib_MultDistribution { BSplCLib_NonConstant, BSplCLib_Constant, BSplCLib_QuasiConstant }
| This enumeration describes the repartition of the knots sequence. If all the knots differ by the same positive constant from the preceding knot the "KnotDistribution" is <uniform> else it is <nonuniform> . More...

## Enumeration Type Documentation

enum BSplCLib_MultDistribution

Enumeration values:

  BSplCLib_NonConstant |
  BSplCLib_Constant |
  BSplCLib_QuasiConstant |